<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-menu-button menu="menu1"></ion-menu-button>
    </ion-buttons>
    <ion-title>Discover</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <ion-segment (ionChange)="onFilterUpdate($event)" value="todos">
    <ion-segment-button value="todos">
      All Places
    </ion-segment-button>
    <ion-segment-button value="disponibles">
      <ion-label>Available</ion-label>
    </ion-segment-button>
  </ion-segment>
  <ion-grid>
    <ion-row>
      <ion-col size="12" size-sm="8" offset-sm="2" text-center>
        <ion-card>
          <ion-card-header>
            <ion-card-title>{{lugaresCargados[0].titulo}}</ion-card-title>
            <ion-card-subtitle
              >{{lugaresCargados[0].precio | currency}} / por
              noche</ion-card-subtitle
            >
          </ion-card-header>
          <ion-img [src]="lugaresCargados[0].imageUrl"></ion-img>
          <ion-card-content>
            <p>{{lugaresCargados[0].descripcion}}</p>
          </ion-card-content>
          <div class="ion-text-right">
            <ion-button
              fill="clear"
              color="primary"
              [routerLink]="['/', 'lugares', 'tabs', 'busqueda', lugaresCargados[0].id]"
            >
              Mas
            </ion-button>
          </div>
        </ion-card>
      </ion-col>
    </ion-row>
    <ion-row>
      <ion-col size="12" size-sm="8" offset-sm="2" text-center>
          <ion-virtual-scroll [items]="lugaresCargados" apprxItemHeight="72px">
            <ion-item *virtualItem="let lugar" [routerLink]="['/', 'tabs', 'busqueda', lugar.id]" detail >
            <ion-thumbnail slot="start">
              <ion-img [src]="lugar.imageUrl"></ion-img>
            </ion-thumbnail>
            <ion-label>
              <h2>{{lugar.titulo}}</h2>
            </ion-label>
          </ion-item>
          </ion-virtual-scroll>
      </ion-col>
    </ion-row>
  </ion-grid>
</ion-content>
